Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.util
Class AdapterLogRecord

    java.lang.Object
      org.apache.log4j.lf5.LogRecord
          org.apache.log4j.lf5.util.AdapterLogRecord

All Implemented Interfaces:
  java.io.Serializable

    public class AdapterLogRecord

extends LogRecord

A LogRecord to be used with the LogMonitorAdapter

Author:
  Richard Hurst
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.log4j.lf5.LogRecord
`_category, _level, _location, _message, _millis, _ndc, _seqCount, _sequenceNumber, _thread, _thrown, _thrownStackTrace`

Constructor Summary
`AdapterLogRecord()`

Method Summary
`protected java.lang.String` | `getLocationInfo(java.lang.String category)`
`static LogLevel` | `getSevereLevel()`
`boolean` | `isSevereLevel()` Abstract method.
`protected java.lang.String` | `parseLine(java.lang.String trace, java.lang.String category)`
`void` | `setCategory(java.lang.String category)` Set the category associated with this LogRecord.
`static void` | `setSevereLevel(LogLevel level)`
`protected java.lang.String` | `stackTraceToString(java.lang.Throwable t)`

Methods inherited from class org.apache.log4j.lf5.LogRecord
`getCategory, getLevel, getLocation, getMessage, getMillis, getNDC, getNextId, getSequenceNumber, getThreadDescription, getThrown, getThrownStackTrace, hasThrown, isFatal, resetSequenceNumber, setLevel, setLocation, setMessage, setMillis, setNDC, setSequenceNumber, setThreadDescription, setThrown, setThrownStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdapterLogRecord

    public AdapterLogRecord()

Method Detail

### setCategory

    public void setCategory(java.lang.String category)

  Description copied from class: `LogRecord`
  Set the category associated with this LogRecord. A category represents a hierarchical dot (".") separated namespace for messages. The definition of a category is application specific, but a common convention is as follows:

  When logging messages for a particluar class you can use its class name: com.thoughtworks.framework.servlet.ServletServiceBroker.
  Futhermore, to log a message for a particular method in a class add the method name: com.thoughtworks.framework.servlet.ServletServiceBroker.init().

  Overrides:
    `setCategory` in class `LogRecord`
  Parameters:
    `category` - The category for this record.
  See Also:
    `LogRecord.getCategory()`

### isSevereLevel

    public boolean isSevereLevel()

  Description copied from class: `LogRecord`
  Abstract method. Must be overridden to indicate what log level to show in red.

  Specified by:
    `isSevereLevel` in class `LogRecord`

### setSevereLevel

    public static void setSevereLevel(LogLevel level)

### getSevereLevel

    public static LogLevel getSevereLevel()

### getLocationInfo

    protected java.lang.String getLocationInfo(java.lang.String category)

### stackTraceToString

    protected java.lang.String stackTraceToString(java.lang.Throwable t)

### parseLine

    protected java.lang.String parseLine(java.lang.String trace,
                                         java.lang.String category)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.